Bug 483422 - Broken strinparam handling
Broken strinparam handling
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xmlto (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-31 23:14 EST by Dan Nicholson
Modified: 2009-02-04 21:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 21:09:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix --stringparam handling (1.01 KB, patch)
2009-01-31 23:14 EST, Dan Nicholson
no flags Details | Diff

  None (edit)
Description Dan Nicholson 2009-01-31 23:14:42 EST
Created attachment 330535 [details]
Fix --stringparam handling

stringparam handling is broken in xmlto.

$ xmlto --stringparam foo='bar baz' html doc/xmlto.xml 
warning: failed to load external entity "XSLTPARAMS"
cannot parse XSLTPARAMS
Variable $SGML_CATALOG_FILES not set
warning: failed to load external entity "XSLTPARAMS"
cannot parse XSLTPARAMS

Attached is a patch that fixes this.

Also, what's up with xmlto on fedorahosted? Only the tarball is stored in svn? Where's the source repo?
Comment 1 Ondrej Vasik 2009-02-02 03:29:03 EST
Thanks for report. stringparams issue (and few other things) is already fixed in RAWHIDE, will do an xmlto update for lower Fedora's this week. I do plan to improve fedorahosted xmlto pages for xmlto 0.0.22 (hopefully this month, most of the patches ready, just have to merge them and add few things). I know about xmlto fedorahosted svn issue, I'll fix it as well...
Comment 2 Fedora Update System 2009-02-04 21:09:08 EST
xmlto-0.0.20-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.